from sqlalchemy import Column, Float, ForeignKey
from sqlalchemy.dialects.mysql import INTEGER
from sqlalchemy.orm import relationship
from .base_model import Base

class UserStatistics(Base):
    __tablename__ = "user_statistics"

    user_id = Column(INTEGER(unsigned=True), ForeignKey("user.id", ondelete="CASCADE"), primary_key=True)
    total_spend = Column(Float, nullable=True)

    user = relationship("User", back_populates="user_statistics", foreign_keys=[user_id])
